Skip to content

TimeSheetMonth

Per-month aggregates derived from daily time-sheets, including the carry-in/-out overtime chain. Read-only except for the workflow status, manual carry overrides and free-form note.


OpenAPI Spec

GET
/v1/time-sheet-months/spec

Get OpenAPI 3.1.0 spec for TimeSheetMonth API

Responses

Returns OpenAPI 3.1.0 spec for TimeSheetMonth API

application/json
JSON
{
}

Playground

Samples


List TimeSheetMonths

GET
/v1/time-sheet-months

List TimeSheetMonths

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
userId
month
status
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"userId": 0,
"month": "string",
"status": "string",
"note": "string",
"declinedNote": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"submittedFirstAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"sumActualComputed": 0,
"sumTargetComputed": 0,
"carryIn": 0,
"carryInComputed": 0,
"carryInCorrectionType": "string",
"carryOut": 0,
"carryOutComputed": 0,
"carryOutCorrectionType": "string",
"carryOutForfeited": 0,
"lockedAt": "string",
"sumActualLocked": 0,
"sumTargetLocked": 0,
"carryInLocked": 0,
"carryOutLocked": 0,
"currentDifference": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get a TimeSheetMonth

GET
/v1/time-sheet-months/{timeSheetMonthId}

Get a TimeSheetMonth by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeSheetMonthId*
Type
integer
Required
Format
"int32"

Responses

TimeSheetMonth found

application/json
JSON
{
"id": 0,
"userId": 0,
"month": "string",
"status": "string",
"note": "string",
"declinedNote": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"submittedFirstAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"sumActualComputed": 0,
"sumTargetComputed": 0,
"carryIn": 0,
"carryInComputed": 0,
"carryInCorrectionType": "string",
"carryOut": 0,
"carryOutComputed": 0,
"carryOutCorrectionType": "string",
"carryOutForfeited": 0,
"lockedAt": "string",
"sumActualLocked": 0,
"sumTargetLocked": 0,
"carryInLocked": 0,
"carryOutLocked": 0,
"currentDifference": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a TimeSheetMonth

PATCH
/v1/time-sheet-months/{timeSheetMonthId}

Update a TimeSheetMonth by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeSheetMonthId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"status": "string",
"note": "string",
"carryInManual": 0,
"carryOutManual": 0,
"externalId": "string"
}

Responses

TimeSheetMonth found

application/json
JSON
{
"id": 0,
"userId": 0,
"month": "string",
"status": "string",
"note": "string",
"declinedNote": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"submittedFirstAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"sumActualComputed": 0,
"sumTargetComputed": 0,
"carryIn": 0,
"carryInComputed": 0,
"carryInCorrectionType": "string",
"carryOut": 0,
"carryOutComputed": 0,
"carryOutCorrectionType": "string",
"carryOutForfeited": 0,
"lockedAt": "string",
"sumActualLocked": 0,
"sumTargetLocked": 0,
"carryInLocked": 0,
"carryOutLocked": 0,
"currentDifference": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get a TimeSheetMonth by user and month

GET
/v1/time-sheet-months/by-user

Look up a single TimeSheetMonth by userId and month (first day of the month). The row is created on demand if it does not yet exist. Requests for a month more than 3 calendar months in the future are rejected with 400.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

userId*
Type
integer
Required
month*
Type
string
Required
Format
"date"

Responses

TimeSheetMonth found

application/json
JSON
{
"id": 0,
"userId": 0,
"month": "string",
"status": "string",
"note": "string",
"declinedNote": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"submittedFirstAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"sumActualComputed": 0,
"sumTargetComputed": 0,
"carryIn": 0,
"carryInComputed": 0,
"carryInCorrectionType": "string",
"carryOut": 0,
"carryOutComputed": 0,
"carryOutCorrectionType": "string",
"carryOutForfeited": 0,
"lockedAt": "string",
"sumActualLocked": 0,
"sumTargetLocked": 0,
"carryInLocked": 0,
"carryOutLocked": 0,
"currentDifference": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples